# ConnectParam

Package io.milvus.param

## Class ConnectParam

- java.lang.Object
- - io.milvus.param.ConnectParam

Direct Known Subclasses:
  `MultiConnectParam`

    public class ConnectParam
    extends java.lang.Object

Parameters for client connection.

### Nested Class Summary

Nested Classes
`static class` `ConnectParam.Builder` Builder for `ConnectParam`

### Constructor Summary

Constructors
`protected` `ConnectParam​(@NonNull ConnectParam.Builder builder)`

### Method Summary

All Methods Static Methods Concrete Methods
`static ConnectParam.Builder` `newBuilder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectParam

    protected ConnectParam​(@NonNull
                           @NonNull ConnectParam.Builder builder)

### Method Detail

#### newBuilder

    public static ConnectParam.Builder newBuilder()